from parallels.utils import extend_namedtuple
from parallels.common.import_api.model import model_pretty_yaml
from parallels.common.import_api import model

ADMIN_ACCOUNT_ID = model.ADMIN_ACCOUNT_ID
WebspaceStatus = model.WebspaceStatus

PPAContactInfo = model_pretty_yaml(
	extend_namedtuple(model.BaseContactInfo, 'PPAContactInfo')
)
PPACustomerInfo = model_pretty_yaml(
	extend_namedtuple(model.BaseCustomerInfo, 'PPACustomerInfo')
)
PPAResellerInfo = model_pretty_yaml(
	extend_namedtuple(model.BaseResellerInfo, 'PPAResellerInfo')
)
PPAWebspaceInfoBrief = model_pretty_yaml(
	extend_namedtuple(model.BaseWebspaceInfoBrief, 'PPAWebspaceInfoBrief')
)
PPAWebspaceInfo = model_pretty_yaml(
	extend_namedtuple(model.BaseWebspaceInfo, 'PPAWebspaceInfo', (
		'resources', 
		'status_reason',
	))
)
PPASubscriptionInfo = model_pretty_yaml(
	extend_namedtuple(model.BaseSubscriptionInfo, 'PPASubscriptionInfo', (
		'resources',
	))
)
PPAServiceTemplateInfo = model_pretty_yaml(
	extend_namedtuple(model.BaseServiceTemplateInfo, 'PPAServiceTemplateInfo')
)
PPAServiceTemplateDetails = model_pretty_yaml(
	extend_namedtuple(model.BaseServiceTemplateDetails, 'PPAServiceTemplateDetails', (
		'autoprovidable', 
		'resources', 
		'mailbox_quota', 
		'resource_types',
	))
)